Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network89.96.0.0/11
Usable hosts2,097,150
Subnet mask255.224.0.0
Addresses2,097,152
Network address
89.96.0.0
Broadcast address
89.127.255.255
First usable
89.96.0.1
Last usable
89.127.255.254
Usable hosts
2,097,150 (2,097,152 less the network and broadcast addresses)
Subnet mask
255.224.0.0
Wildcard mask
0.31.255.255 (Cisco ACLs, OSPF)
Prefix length
/11
Type
Public public
Old class
A (default /8)
As numbers
Hex 59600000 · Integer 1499463680 to 1501560831
Reverse DNS zones
96.89.in-addr.arpa
97.89.in-addr.arpa
98.89.in-addr.arpa
99.89.in-addr.arpa
100.89.in-addr.arpa
101.89.in-addr.arpa
102.89.in-addr.arpa
103.89.in-addr.arpa
104.89.in-addr.arpa
105.89.in-addr.arpa
106.89.in-addr.arpa
107.89.in-addr.arpa
108.89.in-addr.arpa
109.89.in-addr.arpa
110.89.in-addr.arpa
111.89.in-addr.arpa
and 16 more
/11 is not on a 8-bit boundary, so it takes 32 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01011001.01100000.00000000.0000000089.96.0.0
Subnet mask11111111.11100000.00000000.00000000255.224.0.0
Network01011001.01100000.00000000.0000000089.96.0.0
Broadcast01011001.01111111.11111111.1111111189.127.255.255
Split into smaller subnets/17

89.96.0.0/11 makes 64 subnets of /17.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
189.96.0.0/1789.96.0.1 to 89.96.127.25489.96.127.25532,766
289.96.128.0/1789.96.128.1 to 89.96.255.25489.96.255.25532,766
389.97.0.0/1789.97.0.1 to 89.97.127.25489.97.127.25532,766
489.97.128.0/1789.97.128.1 to 89.97.255.25489.97.255.25532,766
589.98.0.0/1789.98.0.1 to 89.98.127.25489.98.127.25532,766
689.98.128.0/1789.98.128.1 to 89.98.255.25489.98.255.25532,766
789.99.0.0/1789.99.0.1 to 89.99.127.25489.99.127.25532,766
889.99.128.0/1789.99.128.1 to 89.99.255.25489.99.255.25532,766
989.100.0.0/1789.100.0.1 to 89.100.127.25489.100.127.25532,766
1089.100.128.0/1789.100.128.1 to 89.100.255.25489.100.255.25532,766
1189.101.0.0/1789.101.0.1 to 89.101.127.25489.101.127.25532,766
1289.101.128.0/1789.101.128.1 to 89.101.255.25489.101.255.25532,766
1389.102.0.0/1789.102.0.1 to 89.102.127.25489.102.127.25532,766
1489.102.128.0/1789.102.128.1 to 89.102.255.25489.102.255.25532,766
1589.103.0.0/1789.103.0.1 to 89.103.127.25489.103.127.25532,766
1689.103.128.0/1789.103.128.1 to 89.103.255.25489.103.255.25532,766
1789.104.0.0/1789.104.0.1 to 89.104.127.25489.104.127.25532,766
1889.104.128.0/1789.104.128.1 to 89.104.255.25489.104.255.25532,766
1989.105.0.0/1789.105.0.1 to 89.105.127.25489.105.127.25532,766
2089.105.128.0/1789.105.128.1 to 89.105.255.25489.105.255.25532,766
2189.106.0.0/1789.106.0.1 to 89.106.127.25489.106.127.25532,766
2289.106.128.0/1789.106.128.1 to 89.106.255.25489.106.255.25532,766
2389.107.0.0/1789.107.0.1 to 89.107.127.25489.107.127.25532,766
2489.107.128.0/1789.107.128.1 to 89.107.255.25489.107.255.25532,766
2589.108.0.0/1789.108.0.1 to 89.108.127.25489.108.127.25532,766
2689.108.128.0/1789.108.128.1 to 89.108.255.25489.108.255.25532,766
2789.109.0.0/1789.109.0.1 to 89.109.127.25489.109.127.25532,766
2889.109.128.0/1789.109.128.1 to 89.109.255.25489.109.255.25532,766
2989.110.0.0/1789.110.0.1 to 89.110.127.25489.110.127.25532,766
3089.110.128.0/1789.110.128.1 to 89.110.255.25489.110.255.25532,766
3189.111.0.0/1789.111.0.1 to 89.111.127.25489.111.127.25532,766
3289.111.128.0/1789.111.128.1 to 89.111.255.25489.111.255.25532,766
3389.112.0.0/1789.112.0.1 to 89.112.127.25489.112.127.25532,766
3489.112.128.0/1789.112.128.1 to 89.112.255.25489.112.255.25532,766
3589.113.0.0/1789.113.0.1 to 89.113.127.25489.113.127.25532,766
3689.113.128.0/1789.113.128.1 to 89.113.255.25489.113.255.25532,766
3789.114.0.0/1789.114.0.1 to 89.114.127.25489.114.127.25532,766
3889.114.128.0/1789.114.128.1 to 89.114.255.25489.114.255.25532,766
3989.115.0.0/1789.115.0.1 to 89.115.127.25489.115.127.25532,766
4089.115.128.0/1789.115.128.1 to 89.115.255.25489.115.255.25532,766
4189.116.0.0/1789.116.0.1 to 89.116.127.25489.116.127.25532,766
4289.116.128.0/1789.116.128.1 to 89.116.255.25489.116.255.25532,766
4389.117.0.0/1789.117.0.1 to 89.117.127.25489.117.127.25532,766
4489.117.128.0/1789.117.128.1 to 89.117.255.25489.117.255.25532,766
4589.118.0.0/1789.118.0.1 to 89.118.127.25489.118.127.25532,766
4689.118.128.0/1789.118.128.1 to 89.118.255.25489.118.255.25532,766
4789.119.0.0/1789.119.0.1 to 89.119.127.25489.119.127.25532,766
4889.119.128.0/1789.119.128.1 to 89.119.255.25489.119.255.25532,766
4989.120.0.0/1789.120.0.1 to 89.120.127.25489.120.127.25532,766
5089.120.128.0/1789.120.128.1 to 89.120.255.25489.120.255.25532,766
5189.121.0.0/1789.121.0.1 to 89.121.127.25489.121.127.25532,766
5289.121.128.0/1789.121.128.1 to 89.121.255.25489.121.255.25532,766
5389.122.0.0/1789.122.0.1 to 89.122.127.25489.122.127.25532,766
5489.122.128.0/1789.122.128.1 to 89.122.255.25489.122.255.25532,766
5589.123.0.0/1789.123.0.1 to 89.123.127.25489.123.127.25532,766
5689.123.128.0/1789.123.128.1 to 89.123.255.25489.123.255.25532,766
5789.124.0.0/1789.124.0.1 to 89.124.127.25489.124.127.25532,766
5889.124.128.0/1789.124.128.1 to 89.124.255.25489.124.255.25532,766
5989.125.0.0/1789.125.0.1 to 89.125.127.25489.125.127.25532,766
6089.125.128.0/1789.125.128.1 to 89.125.255.25489.125.255.25532,766
6189.126.0.0/1789.126.0.1 to 89.126.127.25489.126.127.25532,766
6289.126.128.0/1789.126.128.1 to 89.126.255.25489.126.255.25532,766
6389.127.0.0/1789.127.0.1 to 89.127.127.25489.127.127.25532,766
6489.127.128.0/1789.127.128.1 to 89.127.255.25489.127.255.25532,766

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses